Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
[Java] Class ConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.control.ConfigurationException

All Implemented Interfaces:
  GroovyExceptionInterface

    public class ConfigurationException
    extends java.lang.RuntimeException

Thrown when configuration data is invalid.

Authors:
  Chris Poirier

Version:
  \$Id\$

Field Summary
`protected java.lang.Exception` | `cause`

Constructor Summary
`ConfigurationException(java.lang.Exception cause)` Initializes the exception from a cause exception.
`ConfigurationException(java.lang.String message)` Initializes the exception with just a message.

Method Summary
`java.lang.Throwable` | `getCause()` Returns the causing exception, if available.
`boolean` | `isFatal()` Its always fatal.
`void` | `setFatal(boolean fatal)` Set fatal is just ignored.

Methods inherited from class java.lang.RuntimeException
java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Methods inherited from class java.lang.Exception
java.lang.Exception#printStackTrace(), java.lang.Exception#printStackTrace(java.io.PrintStream), java.lang.Exception#printStackTrace(java.io.PrintWriter), java.lang.Exception#fillInStackTrace(), java.lang.Exception#getCause(), java.lang.Exception#initCause(java.lang.Throwable), java.lang.Exception#toString(), java.lang.Exception#getMessage(), java.lang.Exception#getLocalizedMessage(), java.lang.Exception#getStackTrace(), java.lang.Exception#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Exception#addSuppressed(java.lang.Throwable), java.lang.Exception#getSuppressed(), java.lang.Exception#wait(long), java.lang.Exception#wait(long, int), java.lang.Exception#wait(), java.lang.Exception#equals(java.lang.Object), java.lang.Exception#hashCode(), java.lang.Exception#getClass(), java.lang.Exception#notify(), java.lang.Exception#notifyAll()

Field Detail

### cause

    protected java.lang.Exception cause

Constructor Detail

### ConfigurationException

    public ConfigurationException(java.lang.Exception cause)

  Initializes the exception from a cause exception.

### ConfigurationException

    public ConfigurationException(java.lang.String message)

  Initializes the exception with just a message.

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Returns the causing exception, if available.

### isFatal

    public boolean isFatal()

  Its always fatal.

### setFatal

    public void setFatal(boolean fatal)

  Set fatal is just ignored.

Groovy Documentation